TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.FileStoreInfo Class Reference

Class representing information about a server's file-based store. More...

Inheritance diagram for TIBCO.EMS.ADMIN.FileStoreInfo:

## Public Member Functions
override System.String | ToString ()
| Returns a String that represents the current Object More...

## Properties
long | NotInUseSpace`[get]`
| Get the amount of space in the store file that is not in use. More...
long | InUseSpace`[get]`
| Get the amount of space in the store file that is in use. More...
long | Size`[get]`
| Get the total size of the store file. More...
int | Percentage`[get]`
| Get the percentage fragmentation of the store file. More...
System.String | FileName`[get]`
| Get the file name. More...
long | FileMinimum`[get]`
| Get the minimum size of the file (the file will pre-allocated at least to that size, if necessary). More...
bool | CRCEnabled`[get]`
| Indicates whether or not CRC checks are performed for stored data. More...
bool | TruncationEnabled`[get]`
| Indicates whether or not the server will periodically check if there is unused space at the end of the file and, if so, truncate the file. More...
bool | SynchronousWriteEnabled`[get]`
| Indicates whether or not the file is opened in synchronous write mode. More...
long | WriteRate`[get]`
| Get the number of bytes written per second. More...
long | DestinationDefrag`[get]`
| Get the maximum batch size for destination defragmentation. of queues in this store. More...
int | SyncProgress`[get]`
| Get the current progress of the synchronization of this store file when the server is running in the EMS Appliance. More...
Properties inherited from TIBCO.EMS.ADMIN.StoreInfo
long | MsgCount`[get]`
| Get the number of data messages stored in the store. More...
long | MsgBytes`[get]`
| Get the total size of the data messages stored in the store. More...
long | SwappedCount`[get]`
| Get the number of data messages stored in the store as a result of swapping out non-persistent messages. More...
long | SwappedBytes`[get]`
| Get the total size of the data messages stored in the store as a result of swapping out non-persistent messages. More...
long | FreeSpace`[get]`
| Get the amount of space in the store that is not in use, deprecated. More...
long | UsedSpace`[get]`
| Get the amount of space in the store that is in use, deprecated. More...
long | FileSize`[get]`
| Get the total size of the store, deprecated. More...
double | AverageWriteTime`[get]`
| Get the average time (in seconds) a write call takes. This measurement is not available when the store is asynchronous. More...
double | WriteUsage`[get]`
| Get the Ratio between time spent within write and total time (server_rate_interval). This measurement is not available when the store is asynchronous. More...

## Additional Inherited Members
Protected Member Functions inherited from TIBCO.EMS.ADMIN.StoreInfo
| StoreInfo (MapMessage msg)
| Initializes a new instance of the StoreInfo with the specified map message More...
| StoreInfo (MapMessage msg, Store type)
| Initializes a new instance of the StoreInfo with the specified map message and store type More...
Protected Attributes inherited from TIBCO.EMS.ADMIN.StoreInfo
long | freeSpace
long | usedSpace
long | fileSize
int | fragmentation = -1

## Detailed Description

Class representing information about a server's file-based store.

## Member Function Documentation

override System.String TIBCO.EMS.ADMIN.FileStoreInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

bool TIBCO.EMS.ADMIN.FileStoreInfo.CRCEnabled
| get

Indicates whether or not CRC checks are performed for stored data.

Returns
  true if CRC is enabled, false otherwise

long TIBCO.EMS.ADMIN.FileStoreInfo.DestinationDefrag
| get

Get the maximum batch size for destination defragmentation. of queues in this store.

Returns
  the the maximum batch size for destination defrag.

Since EMS 6.1

long TIBCO.EMS.ADMIN.FileStoreInfo.FileMinimum
| get

Get the minimum size of the file (the file will pre-allocated at least to that size, if necessary).

Returns
  the size in bytes

System.String TIBCO.EMS.ADMIN.FileStoreInfo.FileName
| get

Get the file name.

Returns
  file name

long TIBCO.EMS.ADMIN.FileStoreInfo.InUseSpace
| get

Get the amount of space in the store file that is in use.

Returns
  the number of bytes that are in use

long TIBCO.EMS.ADMIN.FileStoreInfo.NotInUseSpace
| get

Get the amount of space in the store file that is not in use.

Returns
  the number of bytes that are free

int TIBCO.EMS.ADMIN.FileStoreInfo.Percentage
| get

Get the percentage fragmentation of the store file.

Returns
  the percentage (0 - 100) (-1 indicates not available)

Since Version 5.2

long TIBCO.EMS.ADMIN.FileStoreInfo.Size
| get

Get the total size of the store file.

Returns
  the size in bytes

bool TIBCO.EMS.ADMIN.FileStoreInfo.SynchronousWriteEnabled
| get

Indicates whether or not the file is opened in synchronous write mode.

Returns
  true if synchronous mode is enabled, false otherwise

int TIBCO.EMS.ADMIN.FileStoreInfo.SyncProgress
| get

Get the current progress of the synchronization of this store file when the server is running in the EMS Appliance.

Returns
  the synchronization progress percentage as an integer between 0 and 100 or -1 either if no synchronization is ongoing or if requested from a server that is running outside the EMS Appliance

Since EMS 8.1.0

bool TIBCO.EMS.ADMIN.FileStoreInfo.TruncationEnabled
| get

Indicates whether or not the server will periodically check if there is unused space at the end of the file and, if so, truncate the file.

Returns
  true if truncation is enabled, false otherwise

long TIBCO.EMS.ADMIN.FileStoreInfo.WriteRate
| get

Get the number of bytes written per second.

Returns
  the byte rate.

since EMS 6.1